Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.script
Class ScriptExpression

    java.lang.Object
      org.eclipse.birt.core.script.ScriptExpression

    public class ScriptExpression

extends java.lang.Object

Field Summary
`protected org.mozilla.javascript.Script` | `compiledScript`
`static java.lang.String` | `defaultID`
`protected java.lang.String` | `id` Source file name or the ID gotten from Model.
`protected int` | `lineNumber`
`protected java.lang.String` | `scriptText`

Constructor Summary
`ScriptExpression(java.lang.String scriptText)`
`ScriptExpression(java.lang.String scriptText, java.lang.String id)`
`ScriptExpression(java.lang.String scriptText, java.lang.String id, int lineNumber)`

Method Summary
`org.mozilla.javascript.Script` | `getCompiledScript()`
`java.lang.String` | `getId()`
`int` | `getLineNumber()`
`java.lang.String` | `getScriptText()`
`void` | `setCompiledScript(org.mozilla.javascript.Script script)`
`void` | `setId(java.lang.String id)`
`void` | `setLineNumber(int number)`
`void` | `setScriptText(java.lang.String scriptText)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultID

    public static java.lang.String defaultID

### scriptText

    protected java.lang.String scriptText

### id

    protected java.lang.String id

  Source file name or the ID gotten from Model.

### lineNumber

    protected int lineNumber

### compiledScript

    protected org.mozilla.javascript.Script compiledScript

Constructor Detail

### ScriptExpression

    public ScriptExpression(java.lang.String scriptText)

### ScriptExpression

    public ScriptExpression(java.lang.String scriptText,
                            java.lang.String id)

### ScriptExpression

    public ScriptExpression(java.lang.String scriptText,
                            java.lang.String id,
                            int lineNumber)

Method Detail

### setScriptText

    public void setScriptText(java.lang.String scriptText)

### getScriptText

    public java.lang.String getScriptText()

### setId

    public void setId(java.lang.String id)

### getId

    public java.lang.String getId()

### setLineNumber

    public void setLineNumber(int number)

### getLineNumber

    public int getLineNumber()

### setCompiledScript

    public void setCompiledScript(org.mozilla.javascript.Script script)

### getCompiledScript

    public org.mozilla.javascript.Script getCompiledScript()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.